Apache Commons logo Commons DbUtils

PMD Results

The following document contains the results of PMD 4.3.

Files

org/apache/commons/dbutils/AbstractQueryRunner.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/AbstractQueryRunner.java: Can't use annotations when running in JDK 1.4 mode! 0

org/apache/commons/dbutils/AsyncQueryRunner.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/AsyncQueryRunner.java: Can't use annotations when running in JDK 1.4 mode! 0

org/apache/commons/dbutils/BaseResultSetHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/BaseResultSetHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/BasicRowProcessor.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/BasicRowProcessor.java: Can't use annotations when running in JDK 1.4 mode! 0

org/apache/commons/dbutils/BeanProcessor.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/BeanProcessor.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/DbUtils.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/DbUtils.java: Can't use static imports when running in JDK 1.4 mode! 0

org/apache/commons/dbutils/GenerousBeanProcessor.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/GenerousBeanProcessor.java: Can't use annotations when running in JDK 1.4 mode! 0

org/apache/commons/dbutils/ProxyFactory.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/ProxyFactory.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/QueryLoader.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/QueryLoader.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/QueryRunner.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/QueryRunner.java: Can't use annotations when running in JDK 1.4 mode! 0

org/apache/commons/dbutils/ResultSetHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/ResultSetHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/ResultSetIterator.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/ResultSetIterator.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/RowProcessor.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/RowProcessor.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/AbstractKeyedHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/AbstractKeyedHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/AbstractListHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/AbstractListHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/ArrayHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/ArrayHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/ArrayListHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/ArrayListHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/BeanHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/BeanHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/BeanListHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/BeanListHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/BeanMapHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/BeanMapHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/ColumnListHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/ColumnListHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/KeyedHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/KeyedHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/MapHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/MapHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/MapListHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/MapListHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/handlers/ScalarHandler.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/handlers/ScalarHandler.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/wrappers/SqlNullCheckedResultSet.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/wrappers/SqlNullCheckedResultSet.java: Can't use generics unless running in JDK 1.5 mode! 0

org/apache/commons/dbutils/wrappers/StringTrimmedResultSet.java

Violation Line
Error while parsing /Users/bene/workspace/apache/commons/dbutils/src/main/java/org/apache/commons/dbutils/wrappers/StringTrimmedResultSet.java: Can't use annotations when running in JDK 1.4 mode! 0